# Record TCefPreferenceRegistrar

Description
Hierarchy
Fields
Methods
Properties

## Unit

uCEFTypes

## Declaration

`type TCefPreferenceRegistrar = record`

## Description

Structure that manages custom preference registrations.

NOTE: This struct is allocated DLL-side.

Implemented by TCefPreferenceRegistrarRef.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/capi/cef_preference_capi.h">CEF source file: /include/capi/cef_preference_capi.h (cef_preference_registrar_t))

## Overview

### Fields

| `base: TCefBaseScoped;`
| `add_preference: function(self: PCefPreferenceRegistrar; const name: PCefString; default_value: PCefValue): Integer; stdcall;`

## Description

### Fields

| `base: TCefBaseScoped;`
This item has no description.

| `add_preference: function(self: PCefPreferenceRegistrar; const name: PCefString; default_value: PCefValue): Integer; stdcall;`
This item has no description.

Generated by PasDoc 0.16.0-snapshot.